← Tables

Scotland

National League Division 3

#TeamPWDLPDBPPtsForm
1Cartha Queens Park RFC6600+154529WWWWW
2Allan Glen's RFC6501+73626WWWWL
3Strathmore RFC6501+91424WLWWW
4Dumfries Saints RFC6402+59622LWWLW
5West of Scotland FC6303+60416LWWLW
6Aberdeen Grammar Rugby6204-112513LWLLL
7Orkney RFC6204-27412LWLLW
8Lasswade RFC6105-8959WLLLL
9Berwick RFC6105-14359LLWLL
10Hillhead Jordanhill RFC6105-6626LLLLW

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.